Package org.italiangrid.voms.store.impl

# Class VOMSNamedThreadFactory

java.lang.Object
org.italiangrid.voms.store.impl.VOMSNamedThreadFactory

All Implemented Interfaces:
  `ThreadFactory`

public class VOMSNamedThreadFactory extends Object implements ThreadFactory
A simple thread factory to create named VOMS background threads.

Author:
  Andrea Ceccanti

## Constructor Summary

Constructors
Constructor
Description
`VOMSNamedThreadFactory()`
`VOMSNamedThreadFactory(Thread.UncaughtExceptionHandler h)`

## Method Summary

Modifier and Type
Method
Description
`Thread`
`newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VOMSNamedThreadFactory

public VOMSNamedThreadFactory(Thread.UncaughtExceptionHandler h)

### VOMSNamedThreadFactory

public VOMSNamedThreadFactory()

## Method Details

### newThread

public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`